Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class PostfixExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.PostfixExpression

    class PostfixExpression
    extends Expression

Represents a postfix expression like foo++ or bar++

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`PostfixExpression(Expression expression, Token operation)`

Method Summary
`Expression` | `getExpression()`
`Token` | `getOperation()`
`String` | `getText()`
`ClassNode` | `getType()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PostfixExpression

    public PostfixExpression(Expression expression, Token operation)

Method Detail

### getExpression

    public Expression getExpression()

### getOperation

    public Token getOperation()

### getText

    public String getText()

### getType

    public ClassNode getType()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.